Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs
Interface JRCrosstabColumnGroup

All Superinterfaces:
  java.lang.Cloneable, JRCloneable, JRCrosstabGroup

All Known Implementing Classes:
  JRBaseCrosstabColumnGroup, JRDesignCrosstabColumnGroup, JRFillCrosstabColumnGroup

    public interface JRCrosstabColumnGroup

extends JRCrosstabGroup

Crosstab column group interface.

Version:
  $Id: JRCrosstabColumnGroup.java 3498 2010-03-03 14:24:19Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`int` | `getHeight()` Returns the height of the group headers.
`byte` | `getPosition()` Deprecated. Replaced by `getPositionValue()`.
`CrosstabColumnPositionEnum` | `getPositionValue()` Returns the position of the header contents for header stretching.

Methods inherited from interface net.sf.jasperreports.crosstabs.JRCrosstabGroup
`getBucket, getHeader, getName, getTotalHeader, getTotalPosition, getTotalPositionValue, getVariable, hasTotal`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getHeight

    int getHeight()

  Returns the height of the group headers.

  Returns:
    the height of the group headers
  See Also:
    `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`

### getPosition

    byte getPosition()

  Deprecated. Replaced by `getPositionValue()`.

### getPositionValue

    CrosstabColumnPositionEnum getPositionValue()

  Returns the position of the header contents for header stretching.

  The column group headers stretch horizontally when there are multiple sub group entries. The header contents will be adjusted to the new width depending on this attribute:

  - `CrosstabColumnPositionEnum.LEFT` - the contents will be rendered on the left side of the header
  - `CrosstabColumnPositionEnum.CENTER` - the contents will be rendered on the center of the header
  - `CrosstabColumnPositionEnum.RIGHT` - the contents will be rendered on the right side of the header
  - `CrosstabColumnPositionEnum.STRETCH` - the contents will be proportionally stretched to the new header size

  Returns:
    the position of the header contents for header stretching

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com